<?php
//---------------------------------------------------------------------------------------------------------
// 19/Septiembre/2019 (Marina) 
// Creamos un fichero para mostrar de una sola vez todo el contenido de la columna lateral o aside

$ultimosPost = true;
$id_capa_filtrado = Sections::getParam('id_capa_filtrado');
$filtradoProductos = Theme::getConfigParam('filterProducts', false);
$tieneBlog = Theme::getConfigParam('hasBlog', false);
$ultimosPost = Theme::getConfigParam('ultimosPosts', false);
$tieneBlog = Theme::getConfigParam('hasBlog', false);
$asideShowCategories = Theme::getConfigParam('asideShowCategories', false);
//Si no tiene blog, tampoco muestra los últimos posts:
if (!$tieneBlog) {
	$ultimosPost = false;
}
if ($filtradoProductos){
?>
<div id="<?= $id_capa_filtrado; ?>" class="columna-filtrado col-xs-6 col-lg-12">
    <?php
    if(Sections::$current_section == 'escaparate'){
        $ruta_cabecera = Theme::include_file("filtrados_en_escaparate.php");

    }else if(Sections::$current_section == 'resultado_busqueda'){
        $ruta_cabecera = Theme::include_file("filtrados_en_busqueda.php");
    }
    ?>
</div>
<?php
}
?>
<div class="columna-escaparate col-xs-6 col-lg-12">
    <?php
    // echo $escaparate_principal;
    //Vamos a cargar el escaparate con condicion de visibilidad "home2"

    $escaparate_uno = new Escaparate(NULL, 1, "aside1");
    $escaparate_uno->carga_miga();
    $txt_miga_escaparate_uno = extraer_miga($escaparate_uno);
    if ($escaparate_uno->nombre_seo != "") {
        //Mostramos la miga la miga especial para el home
        ?>
        <h4 class="title_block title_font">
            <a href="<?= $escaparate_uno->url; ?>" title="<?= $escaparate_uno->nombre_seo; ?>"> 
                <?= $escaparate_uno->nombre_seo; ?> 
            </a>
        </h4>

        <section class="">
            <?php
            if ($escaparate_uno->descripcion != "") {
                ?>
                <div class="box-desc-esca">

                    <p class="texto-esca-home"><?= $escaparate_uno->descripcion; ?></p>
                </div>
                <?php
            }
            //Lo limitamos a 12 productos
            $escaparate_uno->carga_articulos(0, 6);
            //La lista de art?culos lleva un segundo par?metro opcional con el nombre del fichero php que mostrar? la mini-ficha. Se pone sin el . ni la extensi?n php
            $widget_lista_articulos = new Widget($_WH->GW("articulo", "lista_articulos"), "ficha_aside", $escaparate_uno->lista_articulos);
            ?>
        </section>
        <?php
    }
    ?>   
</div>
<?php
if ($asideShowCategories){
?>
<div class="columna-categorias col-xs-6 col-lg-12">
    <h4 class="title_block"><?= traducir('Categorias'); ?></h4>
    <div class="megamenu ">
        <div class="v-megamenu" id="fieldmegamenu-main">
            <ul>
                <?php
                $opcionesEscaparate = new OpcionesWidget(array(
                    'nivel_maximo' => 3,
                    'limite' => 8,
                    'ficheroListaEscaparate' => 'cabListEscaAside',
                    'ficheroLineaEscaparate' => 'lineaEscaAside'
                ));
                $widget_lista_escaparates = new Widget($_WH->GW('lista_escaparates', 'menu_escaparates'), $opcionesEscaparate);
                ?>
            </ul>
        </div>
    </div>
</div>
<?php
}
?>
<div class="columna-blog col-xs-6 col-lg-12">
    <?php
    //Vamos a poner las secciones condicionales
    if ($ultimosPost) {
        ?>
            <div class="blog">
                <div class="smart-blog-home-post block horizontal_mode">
                    <div class="row">
                        <div id="smart-blog-custom" class="col-xs-12" >
                        <?php
                        $opcionesEventos = new OpcionesWidget(array('query' => 'showposts=1'));
                        $eventos = new widget($_WH->GW('wordpress', 'loadContent'), $opcionesEventos); ?>        
                        </div>
                    </div>
                </div>
            </div>
        <?php
    }
    ?>
</div>

<div class="columna-banner col-xs-6 col-lg-12">
    <div class="banner_aside">
        <?php
        $ruta_cabecera = Theme::include_file("banner_novedades.php");
        ?>
    </div>
</div>